#
# spec file for package ghc-blaze-builder
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name blaze-builder
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.4.0.2
Release:        8.9
Summary:        Efficient buffered output
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
BuildRequires:  ghc-utf8-string-devel
%endif

%description
This library provides an implementation of the older blaze-builder interface in
terms of the new builder that shipped with bytestring-0.10.4.0

This implementation is mostly intended as a bridge to the new builder, so that
code that uses the old interface can interoperate with code that uses the new
implementation. Note that no attempt has been made to preserve the old internal
modules, so code that has these dependencies cannot use this interface.

New code should, for the most part, use the new interface. However, this module
does implement a chunked HTTP encoding, which is not otherwise implemented
(yet?) with the new builder.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGES README.markdown TODO

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.0.2 revision 0 with cabal2obs.
* Tue Apr 19 2016 mimi.vx@gmail.com
- update to 0.4.0.2
- remove useless _service
  * Fixed warnings on GHC 7.10
* Fri Apr 17 2015 mimi.vx@gmail.com
- update to 0.4.0.1
  * See upstream CHANGES and blog:
  <http://blog.melding-monads.com/2015/02/12/announcing-blaze-builder-0-4/>
* Wed Sep 24 2014 peter.trommler@ohm-hochschule.de
- update to 0.3.3.4
  * compatibility with Haskell Platform 2014.2.0.0 (ghc-text)
* Mon May 13 2013 peter.trommler@ohm-hochschule.de
- update to 0.3.1.1 from upstream
  * all warnings fixed
  * ghc7.8 compatible
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 template for spec file
* Fri Mar 16 2012 peter.trommler@ohm-hochschule.de
- added BuildRoot for SLE_11_SP1/2
* Fri Mar  2 2012 peter.trommler@ohm-hochschule.de
- initial packaging
